Name:           mingw-crossreport
Version:        201406
Release:        %mkrel 1
Summary:        Analysis tool to help cross-compilation to Windows

License:        GPLv2+
Group:          Development/Other
URL:            http://fedoraproject.org/wiki/MinGW
Source0:        crossreport.pl
Source1:        README
Source2:        COPYING
Source3:        crossreport.db.xz
Source4:        update-crossreport-db.pl

BuildArch:      noarch

BuildRequires:  perl
BuildRequires:  perl-podlators

BuildRequires:  xz

# For nm and c++filt.
Requires:       binutils


%description
CrossReport is a tool to help you analyze the APIs used by a compiled
Linux program, in order to work out the effort required to
cross-compile that program for Windows, using the Fedora MinGW
cross-compiler.

The simplest way to use it is to point it at an existing Linux binary,
and then read the generated report.

What it does in more detail: It looks at the libraries and API calls
used by the Linux binary, and compares them to the libraries and API
calls that we currently support under the Fedora MinGW cross-compiler.
It then works out what is missing, and produces a report suggesting
the amount of work that needs to be done to port the program.  For
example, whether whole libraries need to be ported first, and/or how
to substitute individual calls to work on Windows.


%package -n mingw32-crossreport
Summary:        Analysis tool to help cross-compilation to Windows

%description -n mingw32-crossreport
CrossReport is a tool to help you analyze the APIs used by a compiled
Linux program, in order to work out the effort required to
cross-compile that program for Windows, using the Fedora MinGW
cross-compiler.

The simplest way to use it is to point it at an existing Linux binary,
and then read the generated report.

What it does in more detail: It looks at the libraries and API calls
used by the Linux binary, and compares them to the libraries and API
calls that we currently support under the Fedora MinGW cross-compiler.
It then works out what is missing, and produces a report suggesting
the amount of work that needs to be done to port the program.  For
example, whether whole libraries need to be ported first, and/or how
to substitute individual calls to work on Windows.


%prep
# empty


%build
# empty


%install
mkdir -p $RPM_BUILD_ROOT%{_bindir}
install -m 0755 %{SOURCE0} $RPM_BUILD_ROOT%{_bindir}/mingw32-crossreport

# Install the database.
mkdir -p $RPM_BUILD_ROOT%{_datadir}/crossreport
xzcat %{SOURCE3} > $RPM_BUILD_ROOT%{_datadir}/crossreport/crossreport.db
chmod 0644 $RPM_BUILD_ROOT%{_datadir}/crossreport/crossreport.db

# Install documentation (manually).
mkdir -p $RPM_BUILD_ROOT%{_docdir}/%{name}
install -m 0644 %{SOURCE1} %{SOURCE2} $RPM_BUILD_ROOT%{_docdir}/%{name}

# Build the manpage from the source.
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1
pod2man -c "CrossReport" -r "%{name}-%{version}" %{SOURCE0} \
  > $RPM_BUILD_ROOT%{_mandir}/man1/mingw32-crossreport.1


%files -n mingw32-crossreport
%doc %{_docdir}/%{name}/COPYING
%doc %{_docdir}/%{name}/README
%{_bindir}/mingw32-crossreport
%{_mandir}/man1/mingw32-crossreport.1*
%{_datadir}/crossreport/




%changelog
* Wed May 11 2016 tv <tv> 201406-1.mga6
+ Revision: 1012439
- new release

* Sat Feb 06 2016 umeabot <umeabot> 201308-5.mga6
+ Revision: 940201
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 201308-4.mga5
+ Revision: 744891
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 201308-3.mga5
+ Revision: 682416
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 201308-2.mga4
+ Revision: 536159
- Mageia 4 Mass Rebuild

* Sun Sep 22 2013 neoclust <neoclust> 201308-1.mga4
+ Revision: 483487
- imported package mingw-crossreport

